import Navigation from './components/Navigation/Navigation';
import UserContext, {getUser} from './components/User/User';
import Home from './pages/Home/Home';
import Review from './pages/Review/Review';
import Salad from './pages/Salad/Salad';
import { useReducer } from 'react';

import SaladContext, {saladReducer, getSalad} from './components/Salad/Salad'


import {useRoutes} from 'hookrouter'

function App() {
  const routes = {
    '/': () => <Home />,
    '/review': () => <Review />,
    '/salad': () =>  <Salad />
   }

  const [salad, setSalad] = useReducer(saladReducer, getSalad());
  const currentPage = useRoutes(routes);

  return (
    <UserContext.Provider value={ getUser() }>
      <SaladContext.Provider value={{ salad, setSalad }}>
        <Navigation />
        {currentPage}
      </SaladContext.Provider>
    </UserContext.Provider>
  );
}

export default App;
