import React, {useContext} from 'react';
import { createUseStyles } from 'react-jss';
import UserContext from '../User/User';

import {A} from 'hookrouter';

const useStyles = createUseStyles({
  linkWrapper: {
    textAlign: 'left',
  },
  userWrapper: {
    borderBottom: 'black solid 1px',
    padding: [15, 10],
    textAlign: 'right',
  }
});

function Navigation() {
  const user = useContext(UserContext);
  const classes = useStyles();
  return(
    <div>
      <div className={classes.linkWrapper}>
        <ul>
          <li><A href='/'>Home</A></li>
          <li><A href='/salad'>Salad</A></li>
          <li><A href='/review'>Review</A></li>
        </ul>
      </div>
      <div className={classes.userWrapper}>
        Welcome, {user.name}
      </div>
    </div>
  )
}

export default Navigation;